Bug 118423 - (xorgdeps) Package dependancies in the distribution, holding up inclusion of xorg-x11
Package dependancies in the distribution, holding up inclusion of xorg-x11
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On: 118427 118431 118434 118441 118442 118447 118452 118459 118469 118471 118472 118473 118474 118475 118476 118477 118478 118479 118480 118481 118482 118483 118485
  Show dependency treegraph
Reported: 2004-03-16 12:07 EST by Mike A. Harris
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-23 15:53:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2004-03-16 12:07:53 EST
xorg-x11 will be replacing XFree86 in the distribution very soon,
and as such all packages which have hard coded dependancies on
any of the XFree86 package names or versions of them, will have
dependancy issues.

Some of these issues will require temporary compatibility hacks in
the xorg-x11 packaging, while some may require longer term
compatibility hacks in xorg-x11 packaging.  Other issues will
require new virtual Provides lines to be added to both xorg-x11
packaging and also future XFree86 packaging updates, to help
minimize problems both with packages in the distribution and also
3rd party rpms.

Some of the biggest problems currently are:

- Packages that have hard coded Requires/BuildRequires/Prereq on
  the main "XFree86" package.  Many of these may have been around
  for a long time now, and nobody remembers why they were put there.
  It is possible that these can all just simply be removed from the
  various packages and things will just work(TM).  If a given package
  has such a dep listed and it is needed, then the real need needs
  to be determined so we can figure out wether I need another
  virtual provides to add or not.

- Packages that have BuildRequires: XFree86-devel
  This one is a bit tougher to solve, and so for the short term, I
  am adding Provides: XFree86-devel = 4.4.0 to the xorg-x11-devel
  subpackage, which will make things work for now.  Once we split
  out any particular libraries or even all libraries into their
  own individual rpms however, there is no easy way to provide
  an XFree86-devel package or virtual package compatibility, and
  so packages will really need to update to using virtual provides.

- Packages really shouldn't depend on any of the XFree86 fonts
  packages.  If a package does so now, I'd like to know so I can
  come up with a virtualized solution.

- Packages requiring or buildrequiring, etc. any other XFree86
  subpackage need to be fixed too.  They're likely smaller in
  number, and so I'm not sure what changes might be needed to
  accomodate things.  We'll deal with them on a package by
  package basis as they come up.

This bug report is a tracker for these issues.  Any xorg-x11/XFree86
package dependancy error should be filed in it's own individual
bug report, and then marked as blocking this bug, so that we can
track all of the issues in a single location, yet be able to provide
closure to each individual issue.

Please do not report the issues directly in this report though, use
individual reports as mentioned above.
Comment 1 Mike A. Harris 2004-03-23 15:53:36 EST
Just to clear possible confusion, this bug tracker was filed to
track bugs mostly in other packages, and exclude problems
related to XFree86-devel on upgrades.  The middle section above
entitled:  "Packages that have BuildRequires: XFree86-devel" was
not intended to be a catch-all for problems related to XFree86-devel
issues discovered when upgrading, but rather specifically WRT
the virtual provides, which is a solved issue.

Some people are experiencing problems with up2date/yum handling
upgrades properly when a package depends on XFree86-devel.  I
consider that issue separate, as we explicitly are keeping
XFree86-devel around right now as a virtual package, and it is
correctly stated in the spec file.  Any problems with XFree86-devel
dependancies should be filed in separate bug reports in bugzilla,
which do not block on this bug.  When we're transitioning from
XFree86-devel to virtual devel provides in the future, I'll make
a new tracker bug for issues that have arisen.

Closing this bug as 'RAWHIDE' as all issues were fixed last week.

Note You need to log in before you can comment on or make changes to this bug.